/*
The contents of this file are subject to the Mozilla Public License  Version 1.1 (the "License"); you may not use this file except in  compliance with the License. You may obtain a copy of the License at 
http://www.mozilla.org/MPL/ 
Software distributed under the License is distributed on an "AS IS"  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  License for the specific language governing rights and limitations under  the License. 

http://simonstl.com/projects/fragment/original. 

The Initial Developer of the Original Code is Simon St.Laurent. Portions created by Simon St.Laurent are Copyright (C) 2000-2002. All Rights Reserved. 

Contributor(s): 
*/

package com.simonstl.ool;

import org.xml.sax.*;

/**
  * <p>This class represents a start-tag.</p>* 
 * 
 * 
 * @author Simon St.Laurent
 * @version 0.01 $Date: 2002/05/08 $
 */
public class StartTag  
{

  protected String localName;
  protected String uri;
  protected String qName;
  protected Attributes atts;
  
  public StartTag(String _uri, String _localName, String _qName, Attributes _atts) {
     localName=_localName;
     uri=_uri;
     qName=_qName;
     atts=_atts;
  }  
  
  
  public String getLocalName(){
    return localName;
  }
  
  public String getUri(){
    return uri;
  }

  public String getQName(){
    return qName;
  }
  
  public Attributes getAtts(){
    return atts;
  }  
}
