package com.simonstl.ool;

import java.util.LinkedList;

/*
The contents of this file are subject to the Mozilla Public License  Version 1.1 (the "License"); you may not use this file except in  compliance with the License. You may obtain a copy of the License at 
http://www.mozilla.org/MPL/ 
Software distributed under the License is distributed on an "AS IS"  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  License for the specific language governing rights and limitations under  the License. 

The Original Code is available at  http://simonstl.com/projects/fragment/original. 

The Initial Developer of the Original Code is Simon St.Laurent. Portions  created by Simon St.Laurent are Copyright (C) 2001. All Rights Reserved. 

Contributor(s): 
*/

/**
* <p>This class maintains a stack  </p>
*
*<p>Version 0.02 added the size() method.</p>
*
*
* @version 0.02 8 May 2002
* @author Simon St.Laurent
*/

public class StartStack {
     private LinkedList stack;

public StartStack () {
     stack=new LinkedList();
}

public void push (StartTag tag) {
     stack.addLast(tag);
}

public StartTag pop() {
     StartTag tag=(StartTag) stack.getLast();
     stack.removeLast();
     return tag;
}

public StartTag peek () {
     StartTag tag=(StartTag) stack.getLast();
     return tag;
}

public StartTag popBottom() {
     StartTag tag=(StartTag) stack.getFirst();
     stack.removeFirst();
     return tag;
}

public StartTag peekBottom () {
     StartTag tag=(StartTag) stack.getFirst();
     return tag;
}

public void pushBottom (StartTag tag) {
     stack.addFirst(tag);
}

public void clear() {
     stack.clear();
}

public int size() {
     return stack.size();
}

}